TWR T windows api WRapper

- Main Page
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Functions
Public Member Functions | Protected Attributes
BaseForm Class Reference

`#include <BaseForm.h>`

Inheritance diagram for BaseForm:

List of all members.

## Public Member Functions
| BaseForm ()
virtual | ‾BaseForm ()
void | setClass (TCHAR *windowClassName)
void | setTitle (TCHAR *newTitle)
HWND | add (TwrWnd *obj)
HWND | add (BaseDialog *obj)
void | setStyle (DWORD newStyle)
virtual void | UpdateData (bool toObj)
virtual HWND | Create (HINSTANCE hInstance)
virtual LRESULT CALLBACK | WndProc (HWND hWnd, UINT message, WPARAM wParam, LPARAM lParam)
virtual LRESULT | OnCommand (int wmId, int wmEvent)
virtual LRESULT | OnCreate ()
virtual LRESULT | OnNotify (LPNMHDR nmhdr)
virtual LRESULT | OnDestroy ()
Public Member Functions inherited from TwrWnd
| TwrWnd ()
| TwrWnd (HWND newWnd)
virtual | ‾TwrWnd ()
BOOL | UpdateWindow ()
BOOL | ShowWindow (int nCmdShow)
void | EnableWindow (BOOL enabled)
HWND | getHwnd ()
void | destroyWindow (void)
void | setText (const TCHAR *text)
void | setPoint (int x, int y)
void | setSize (int w, int h)
void | setFont (HFONT font)

## Protected Attributes
UINT | message
WPARAM | wParam
LPARAM | lParam
HINSTANCE | hInstance
DWORD | style
Protected Attributes inherited from TwrWnd
HWND | hWnd
int | left
int | top
int | width
int | height

## Detailed Description

T windows api WRapper
Window base class

## Constructor & Destructor Documentation

BaseForm::BaseForm | ( |  | ) |

ウインドウのベースクラス コンストラクタ

## Member Function Documentation

HWND BaseForm::add | ( | TwrWnd * | obj | ) |

ウインドウの上に乗るウインドウオブジェクトを追加します。

Parameters:

  ウインドウオブジェクト |

Returns:
  親になったウインドウのハンドル

HWND BaseForm::add | ( | BaseDialog * | obj | ) |

ウインドウの上に乗るダイアログオブジェクトを追加します。

Parameters:

  ダイアログオブジェクト |

Returns:
  親になったウインドウのハンドル

HWND BaseForm::Create | ( | HINSTANCE | hInstance | ) |
| virtual

ウインドウを作成します。

Parameters:

  インスタンスハンドル |

Returns:
  ウインドウハンドル

LRESULT BaseForm::OnCommand | ( | int | wmId,
|  | int | wmEvent
| ) |  |
| virtual

WM_COMMANDメッセージが来た時の処理を行います。

Parameters:

  wmId |
  wmEvent |

Returns:
  メッセージ処理結果

Reimplemented in MyAppli.

LRESULT BaseForm::OnCreate | ( |  | ) |
| virtual

ウインドウが作成されたときに呼び出されます。

Returns:
  0

LRESULT BaseForm::OnDestroy | ( |  | ) |
| virtual

ウインドウを閉じる際に呼び出されます。

Returns:
  0

LRESULT BaseForm::OnNotify | ( | LPNMHDR | nmhdr | ) |
| virtual

コモンコントロールでイベントが発生したときに呼び出されます。

Parameters:

  nmhdr | 通知メッセージ情報

Returns:
  メッセージ処理結果

void BaseForm::setStyle | ( | DWORD | newStyle | ) |

ウインドウスタイルを設定します。

Parameters:

  newStyle | ウインドウスタイル

void BaseForm::UpdateData | ( | bool | toObj | ) |
| virtual

ウインドウとウインドウオブジェクトのデータの同期をとります。

Parameters:

  toObj | true:ダイアログの内容をオブジェクトに格納する。 false:オブジェクトの内容をダイアログに格納する。

LRESULT CALLBACK BaseForm::WndProc | ( | HWND | hWnd,
|  | UINT | message,
|  | WPARAM | wParam,
|  | LPARAM | lParam
| ) |  |
| virtual

ウインドウプローシジャ

Parameters:

  hDlg | ウインドウハンドル
  message | メッセージ
  wParam | WPARAM
  lParam | LPARAM

Returns:
  処理結果

BaseForm::‾BaseForm | ( |  | ) |
| virtual

デストラクタ

The documentation for this class was generated from the following files:

- WindowSample/TWR/BaseForm.h
- WindowSample/TWR/BaseForm.cpp